
%define name	    fennec
%define version     4.0.1
%define release     %mkrel 3
%define fennecdir   %{_libdir}/%{name}-%{version}

Name:		%{name}
Summary:	Fennec - the Moblin Web Browser for Mandriva-Mini
Version:	%{version}
Release:	%{release}
License: 	MPL
Vendor:		Mandriva
Packager:	Rafael da Veiga Cabral <cabral@mandriva.com>
Group:	        Networking/WWW
Url: 		http://www.moblin.org/projects/moblin-browser
# BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires: autoconf2.1
BuildRequires: alsa-lib-devel

BuildRequires:	gtk+2-devel
BuildRequires:	libx11-devel
BuildRequires:	unzip
BuildRequires:	zip
#(tpg) older versions doesn't support apng extension
BuildRequires:	libpng-devel >= 1.2.25-2
BuildRequires:	libjpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	libcairo-devel
BuildRequires:	glib2-devel
BuildRequires:	libIDL2-devel
BuildRequires:	makedepend
BuildRequires:	nss-static-devel
BuildRequires:	nspr-devel
BuildRequires:	startup-notification-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	lcms-devel
BuildRequires:	python-devel
# (fhimpe) Starting from Firefox 3.0.1, at least sqlite 3.5.9 is needed
# so only use system sqlite on Mandriva >= 2009.0
%if %mdkversion >= 200900
BuildRequires:	libsqlite3-devel >= 3.5.9
%endif
BuildRequires:	valgrind
BuildRequires:	rootcerts
BuildRequires:	libxt-devel
BuildRequires:	hunspell-devel
BuildRequires:	doxygen
BuildRequires:	libgnome-vfs2-devel
BuildRequires:	libgnome2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	java-rpmbuild
BuildRequires:  xulrunner-devel
BuildRequires:  libnotify-devel
BuildRequires:  libiw-devel
BuildRequires:	yasm
BuildRequires:	libvpx-devel
BuildRequires:	bzip2-devel
BuildRequires:	mesagl-devel
BuildRequires:	libproxy-devel
Source0:	http://fr2.rpmfind.net/linux/mozilla/mobile/releases/%{version}/source/%{name}-%{version}.source.tar.bz2
Source2:	.mozconfig
Source3:	fennec.desktop
Source4:	icons_fennec.tar.bz2

%description
This is the Firefox Mobile (code name Fennec) web browser which 
aims to provide rich Internet experience for Inte-processor-based 
plataforms. Fennec is recommended for devices that have a small 
or touch screen.

%prep 
%setup -qn mozilla-2.1
sed -i -e "s#OS_LDFLAGS +=.*#OS_LDFLAGS += -Wl,-rpath=%{fennecdir}#" mobile/app/Makefile.in

%build
export CXXFLAGS="%optflags -fpermissive"
export LDFLAGS="%ldflags -Wl,-rpath,%{fennecdir}"
%configure2_5x \
	--enable-application=xulrunner \
	--enable-application=mobile \
	--disable-elf-hack \
	--with-pthreads \
	--with-system-jpeg \
	--with-system-zlib \
	--with-system-bz2 \
	--with-system-libevent \
	--without-system-png \
	--with-system-nspr \
	--with-system-nss \
	--disable-ldap \
	--disable-calendar \
	--disable-mailnews \
	--disable-chatzilla \
	--disable-composer \
	--disable-profilesharing \
	--disable-toolkit-qt \
	--disable-installer \
	--disable-updater \
	--disable-debug \
	--disable-pedantic \
	--disable-native-uconv \
	--disable-elf-dynstr-gc \
	--disable-crashreporter \
	--disable-strip \
	--enable-crypto \
	--disable-gnomevfs \
	--enable-gnomeui \
	--enable-places \
	--enable-storage \
	--enable-default-toolkit=cairo-gtk2 \
	--enable-official-branding \
	--enable-svg \
	--enable-svg-renderer=cairo \
	--enable-single-profile \
	--enable-startup-notification \
	--enable-system-cairo \
	--disable-javaxpcom \
	--enable-optimize \
	--enable-safe-browsing \
	--enable-xinerama \
	--enable-canvas \
	--enable-pango \
	--enable-xtf \
	--enable-wave \
	--enable-webm \
	--enable-ogg \
	--enable-xpcom-fastload \
	--enable-gio \
	--enable-dbus \
	--enable-image-encoder=all \
	--enable-image-decoders=all \
	--enable-extensions=default \
	--enable-system-hunspell \
	--enable-install-strip \
	--enable-url-classifier \
	--disable-faststart \
	--enable-smil \
	--disable-tree-freetype \
	--enable-canvas3d \
	--disable-coretext \
	--enable-necko-protocols=all \
	--disable-necko-wifi \
	--disable-tests \
	--disable-mochitest \
	--with-distribution-id=com.mandriva \
	--with-valgrind \
	--enable-jemalloc \
	--enable-system-sqlite \
	--enable-chrome-format=jar \
	--with-default-mozilla-five-home="%{fennecdir}"
%make

%install 
rm -fr %buildroot
make package

mkdir -p %{buildroot}%{fennecdir}
cp -R dist/fennec/* %{buildroot}%{fennecdir}

# desktop file
mkdir -p %{buildroot}%{_datadir}/{applications,icons}
cp -R %{SOURCE3} %{buildroot}%{_datadir}/applications

#icons
tar xjf %{SOURCE4} -C %{buildroot}%{_datadir}/icons

# executable script 
mkdir -p %{buildroot}%{_bindir}
echo "#!/bin/sh" >> %{buildroot}%{_bindir}/fennec
echo "%{fennecdir}/fennec" >> %{buildroot}%{_bindir}/fennec
chmod +x %{buildroot}%{_bindir}/fennec

%files
%defattr (-,root,root)
%{fennecdir}
%{_datadir}/applications/fennec.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_bindir}/fennec


%changelog
* Mon May 02 2011 Funda Wang <fwang@mandriva.org> 4.0.1-3mdv2011.0
+ Revision: 661422
- specify rpath everywhere

* Sun May 01 2011 Funda Wang <fwang@mandriva.org> 4.0.1-2
+ Revision: 661305
- set rpath in makefile
- add correct path

* Sun May 01 2011 Funda Wang <fwang@mandriva.org> 4.0.1-1
+ Revision: 661260
- update file list
- br static
- more req
- add more br
- 4.0.1

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.rc3.3mdv2011.0
+ Revision: 610422
- rebuild

* Fri Feb 26 2010 Olivier Blin <oblin@mandriva.com> 1.0-0.rc3.2mdv2010.1
+ Revision: 511543
- bump release (because of BS eating package)

* Thu Feb 25 2010 Claudio Matsuoka <claudio@mandriva.com> 1.0-0.rc3.1mdv2010.1
+ Revision: 511234
- bump release

* Thu Feb 25 2010 Claudio Matsuoka <claudio@mandriva.com> 1.0-0.rc3.0mdv2010.1
+ Revision: 511133
- new upstream release

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Dec 03 2008 Funda Wang <fwang@mandriva.org> 1.0-0.a1.3mdv2009.1
+ Revision: 309699
- drop hard requires on libpackages

* Sat Nov 01 2008 Olivier Blin <oblin@mandriva.com> 1.0-0.a1.2mdv2009.1
+ Revision: 299126
- buildrequire alsa-lib-devel (required for ogg support)
- add firefox buildrequires
- buildrequire zip

  + Rafael da Veiga Cabral <cabral@mandriva.com>
    - Fix mouse missing on desktops
    - Exception requires to libs that had already been on the package
      (libnss, libnspr, libxul, libxpcom, libsqlite3, libmozjs)
    - fennec script created to execute Fennec from menus
    - Requires libxt6 and libgnome-vfs2_0
    - Initial distro release
    - Current dir to save Fennec files.

